# Uses of Class
org.springframework.aop.aspectj.annotation.AbstractAspectJAdvisorFactory.AspectJAnnotation

Packages that use AbstractAspectJAdvisorFactory.AspectJAnnotation
Package
Description
org.springframework.aop.aspectj.annotation
Classes enabling AspectJ 5 @Annotated classes to be used in Spring AOP.

## Uses of AbstractAspectJAdvisorFactory.AspectJAnnotation in org.springframework.aop.aspectj.annotation

Methods in org.springframework.aop.aspectj.annotation that return AbstractAspectJAdvisorFactory.AspectJAnnotation
Modifier and Type
Method
Description
`protected static AbstractAspectJAdvisorFactory.AspectJAnnotation`
AbstractAspectJAdvisorFactory.`findAspectJAnnotationOnMethod(Method method)`
Find and return the first AspectJ annotation on the given method (there should only be one anyway...).